%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		vcd

Name: vdr-%pname
Version: 0.0.6c
Release: alt4

Summary: VideoCD player for VDR
Summary(ru_RU.UTF-8): Проигрыватель VideoCD для VDR
License: GPL
Group: Video
URL: http://www.heiligenmann.de/download
Source0: %name-%version.tgz
Patch0: vdr-vcd-0.0.6c-makefilefix.diff
Patch1: vcd-0.0.6c-1.3.7.diff
Patch2: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR. No additional software packages are required.

%description -l ru_RU.UTF-8
Данный модуль позволяет проигрывать VideoCD (и Super VideoCD) диски из VDR.
Не требует дополнительных программ для работы.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt4
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt3
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt2
- Buildfix

* Sat Oct 09 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt1
- 0.0.6c

* Mon Apr 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.9-alt1
- Initial build
